org.appng.testsupport.validation

## Class DifferenceHandler

- java.lang.Object
- - org.appng.testsupport.validation.DifferenceHandler

- All Implemented Interfaces:
    org.custommonkey.xmlunit.DifferenceListener
  Direct Known Subclasses:
    AttributeValueDifferenceHandler, DateFieldDifferenceHandler, TextValueDifferenceHandler, XPathDifferenceHandler

      public abstract class DifferenceHandler
      extends Object
      implements org.custommonkey.xmlunit.DifferenceListener

  A convenience `DifferenceListener` with an empty `skippedComparison(Node, Node)`-implementation.
  Author:
    Matthias Müller
  See Also:
    `WritingXmlValidator.validateXml(org.appng.xml.BaseObject, String, DifferenceListener)`, `WritingXmlValidator.validateXml(String, java.io.File, DifferenceListener)`, `WritingXmlValidator.validateXml(String, String, DifferenceListener)`, `WritingXmlValidator.validateXml(String, java.io.File, boolean, DifferenceListener)`, `WritingXmlValidator.validateXml(String, String, boolean, DifferenceListener)`

- - ### Field Summary

    - ### Fields inherited from interface org.custommonkey.xmlunit.DifferenceListener

      `RETURN_ACCEPT_DIFFERENCE, RETURN_IGNORE_DIFFERENCE_NODES_IDENTICAL, RETURN_IGNORE_DIFFERENCE_NODES_SIMILAR, RETURN_UPGRADE_DIFFERENCE_NODES_DIFFERENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DifferenceHandler()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `differenceFound(org.custommonkey.xmlunit.Difference difference)`
    `void` | `skippedComparison(Node paramNode1, Node paramNode2)` Default (empty) implementation, may be overwritten.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DifferenceHandler

          public DifferenceHandler()

  - ### Method Detail

    - #### differenceFound

          public abstract int differenceFound(org.custommonkey.xmlunit.Difference difference)

      Specified by:
        `differenceFound` in interface `org.custommonkey.xmlunit.DifferenceListener`

    - #### skippedComparison

          public void skippedComparison(Node paramNode1,
                                        Node paramNode2)

      Default (empty) implementation, may be overwritten.
      Specified by:
        `skippedComparison` in interface `org.custommonkey.xmlunit.DifferenceListener`
      See Also:
        `DifferenceListener.skippedComparison(Node, Node)`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.